---
search:
  tags:
    - Players
    - GET
seo:
  description: >-
    Get a player's profile, keys and VPN assignment. Reference for the GET
    /api/admin/players/{id} endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Get a player's profile, keys and VPN assignment
  badge: GET
title: Get a player's profile, keys and VPN assignment
type: openapi-operation
---
`GET /api/admin/players/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "profile": {
    "id": "string",
    "name": "string",
    "username": "string",
    "email": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "banned": true,
    "banReason": "string",
    "banExpires": "2019-08-24T14:15:22Z",
    "discordUserId": "string",
    "discordLinkedAt": "2019-08-24T14:15:22Z",
    "team": {
      "id": "string",
      "name": "string",
      "handle": "string",
      "number": 0,
      "role": "member",
      "joinedAt": "2019-08-24T14:15:22Z"
    }
  },
  "sshKeys": [
    {
      "id": "string",
      "fingerprint": "string",
      "label": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "vpnPeer": {
    "address": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "rotatedAt": "2019-08-24T14:15:22Z",
    "revokedAt": "2019-08-24T14:15:22Z"
  },
  "certificates": [
    {
      "id": "string",
      "tierLabel": "string",
      "issuedAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
